import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:flyinsono/architecture/define.dart';
import 'package:flyinsono/architecture/router/mobile/names.dart';
import 'package:flyinsono/views/wechat_mini_program/wx_public_widgets/wx_scaffold.dart';

import 'index.dart';
import 'widgets/widgets.dart';

class WxDiagnosisDetailPage extends FisView<WxDiagnosisDetailController> {
  const WxDiagnosisDetailPage({Key? key}) : super(key: key);

  // 主视图
  Widget _buildView() {
    return const HelloWidget();
  }

  @override
  FWidget build(BuildContext context) {
    return FisBuilder<WxDiagnosisDetailController>(
      builder: (_) {
        return WxScaffold(
          body: _buildView(),
          title: "诊断详情",
          parentRoute: MobileRouteNames.Wechat.MiniProgramDiagnosis,
        );
      },
    );
  }
}
